% Program untuk mencari fungsi alih sistem diskrit dengan
% menggunakan pencuplik ideal dan ZOH dan mensimulasikan
% tanggapan sistem diskrit dimana digunakan transformasi z
% Dimana diketahui:
%            1
% Gp(s) =  -----
%          s + 2
clc
echo off
% Selanjutnya masukkan nilai penyebut dan pembilang dari Gp(s)
num1=[0 1];
den1=[1 2];
% Dalam kasus ini diambil periode pencuplikan (Ts)=1 sekon
Ts=1;
% Selanjutnya dicari pembilang dan penyebut fungsi alih diskrit: 
[num,den]=c2dm(num1,den1,Ts,'zoh')
printsys(num,den,'z')
Catatan = char('-Pembilang Fungsi Alih Diskrit = num')
disp('-Penyebut Fungsi Alih Diskrit = den')
