% Program untuk mencari fungsi alih sistem diskrit dengan 
% menggunakan pencuplik ideal dan ZOH
% Dimana diketahui:
%             4s
% Gp(s) = ----------
%         S^2+4s+20
%  H(s) = 2
clc
echo off
% Selanjutnya masukkan nilai penyebut dan pembilang dari Gp(s)
num1=[0 4 0];
den1=[1 4 20];
% Dalam kasus ini diambil periode pencuplikan (Ts)=1 sekon
Ts=1;
% Selanjutnya dicari pembilang dan penyebut fungsi alih diskrit dengan menjalankan instruksi: 
[Ac,Bc,Cc,Dc]=tf2ss(num1,den1);
[Ad,Bd]=c2d(Ac,Bc,Ts);
[numd,dend]=ss2tf(Ad,Bd,Cc,Dc);
num=numd
den=2*numd+dend
printsys(num,den,'z')
Catatan = char('-Pembilang Fungsi Alih Diskrit = num')
disp('-Penyebut Fungsi Alih Diskrit = den')
